petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSPreStep

Runs the user-defined pre-step function.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPreStep(TS ts)

Collective on TS Many br

### Input Parameters

ts -The TS context obtained from TSCreate() Many br

### Notes

TSPreStep() is typically used within time stepping implementations, Many brso most users would not generally call this routine themselves. Many br

Many br

### Keywords

TS, timestep

### See Also

TSSetPreStep(), TSPreStage(), TSPostStage(), TSPostStep()

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages